Summary:	GNOME Remote Desktop daemon
Summary(pl.UTF-8):	Demon zdalnego pulpitu GNOME (GNOME Remote Desktop)
Name:		gnome-remote-desktop
Version:	42.7
Release:	1
License:	GPL v2+
Group:		Applications
Source0:	https://download.gnome.org/sources/gnome-remote-desktop/42/%{name}-%{version}.tar.xz
# Source0-md5:	2e08426da60660249a04f771460661ad
URL:		https://wiki.gnome.org/Projects/Mutter/RemoteDesktop
BuildRequires:	cairo-devel
BuildRequires:	freerdp2-devel >= 2.5.0
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.68
BuildRequires:	libdrm-devel
BuildRequires:	libepoxy-devel >= 1.4
BuildRequires:	libfuse3-devel >= 3.9.1
BuildRequires:	libnotify-devel
BuildRequires:	libsecret-devel
BuildRequires:	libvncserver-devel
BuildRequires:	meson >= 0.47.0
BuildRequires:	ninja >= 1.5
BuildRequires:	nv-codec-headers >= 11.1.5.0
BuildRequires:	pipewire-devel >= 0.3.0
BuildRequires:	rpmbuild(macros) >= 1.736
BuildRequires:	systemd-units
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libxkbcommon-devel >= 1.0.0
BuildRequires:	xz
Requires:	freerdp2-libs >= 2.5.0
Requires:	glib2 >= 1:2.68
Requires:	libepoxy >= 1.4
Requires:	libfuse3 >= 3.9.1
Requires:	pipewire >= 0.3.0
Requires:	xorg-lib-libxkbcommon >= 1.0.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Remote desktop daemon for GNOME using pipewire.

%description -l pl.UTF-8
Demon zdalnego pulpitu GNOME, wykorzystujący pipewire.

%prep
%setup -q

%build
%meson build \
	-Dsystemd_user_unit_dir=%{systemduserunitdir}

%ninja_build -C build

%install
rm -rf $RPM_BUILD_ROOT

%ninja_install -C build

%find_lang %{name}
%clean
rm -rf $RPM_BUILD_ROOT

%post
%glib_compile_schemas

%postun
%glib_compile_schemas

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_bindir}/grdctl
%attr(755,root,root) %{_libexecdir}/gnome-remote-desktop-daemon
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.enums.xml
%{_datadir}/glib-2.0/schemas/org.gnome.desktop.remote-desktop.gschema.xml
%{_datadir}/gnome-remote-desktop
%{systemduserunitdir}/gnome-remote-desktop.service
%changelog
* Sun Dec 04 2022 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gnome-remote-desktop.git;a=log;h=master

* Sun Dec 04 2022 Jakub Bogusz <qboosh@pld-linux.org> ae21bd6
- updated to 42.7

* Thu Oct 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 34eb572
- updated to 42.6

* Wed Sep 21 2022 Jakub Bogusz <qboosh@pld-linux.org> c938b56
- updated to 42.5

* Wed Aug 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 97863f7
- release 2

* Mon Aug 15 2022 Jakub Bogusz <qboosh@pld-linux.org> c65768c
- updated to 42.4

* Thu Jul 07 2022 Jakub Bogusz <qboosh@pld-linux.org> c7dcc25
- updated to 42.3

* Sun Jun 05 2022 Jakub Bogusz <qboosh@pld-linux.org> 754de1f
- updated to 42.2

* Wed Apr 27 2022 Jakub Bogusz <qboosh@pld-linux.org> 70a2cd6
- updated to 42.1.1

* Sun Apr 24 2022 Jakub Bogusz <qboosh@pld-linux.org> f18092a
- updated to 42.1

* Sun Apr 17 2022 Jakub Bogusz <qboosh@pld-linux.org> 2a8f940
- updated to 42.0

* Thu Dec 09 2021 Jakub Bogusz <qboosh@pld-linux.org> bce15bf
- updated to 41.2

* Sat Oct 30 2021 Jakub Bogusz <qboosh@pld-linux.org> 45df341
- updated to 41.1

* Sun Sep 26 2021 Jakub Bogusz <qboosh@pld-linux.org> a36d06b
- updated to 41.0

* Wed Sep 15 2021 Jakub Bogusz <qboosh@pld-linux.org> 956746d
- updated to 40.2

* Fri May 07 2021 Jakub Bogusz <qboosh@pld-linux.org> 411870b
- updated to 40.1

* Sat Apr 03 2021 Jakub Bogusz <qboosh@pld-linux.org> af0d976
- updated to 40.0

* Tue Sep 08 2020 Jakub Bogusz <qboosh@pld-linux.org> 55d15f9
- initial

